javax.ejb

## Interface EJBObject

- All Superinterfaces:
    Remote
  All Known Subinterfaces:
    Management

      public interface EJBObject
      extends Remote

  The EJBObject interface is extended by all enterprise beans' remote interfaces. An enterprise bean's remote interface provides the remote client view of an EJB object. An enterprise bean's remote interface defines the business methods callable by a remote client.

  The remote interface must extend the javax.ejb.EJBObject interface, and define the enterprise bean specific business methods.

  The enterprise bean's remote interface is defined by the enterprise bean provider and implemented by the enterprise bean container.

  Enterprise beans written to the EJB 3.0 and later APIs do not require a remote interface that extends the EJBObject interface. A remote business interface can be used instead.

  Since:
    EJB 1.0

- - ### Method Summary

    Methods
    Modifier and Type | Method and Description
    --- | ---
    `EJBHome` | `getEJBHome()` Obtain the enterprise bean's remote home interface.
    `Handle` | `getHandle()` Obtain a handle for the EJB object.
    `Object` | `getPrimaryKey()` Obtain the primary key of the EJB object.
    `boolean` | `isIdentical(EJBObject obj)` Test if a given EJB object is identical to the invoked EJB object.
    `void` | `remove()` Remove the EJB object.

- - ### Method Detail

    - #### getEJBHome

          EJBHome getEJBHome()
                             throws RemoteException

      Obtain the enterprise bean's remote home interface. The remote home interface defines the enterprise bean's create, finder, remove, and home business methods.
      Returns:
        A reference to the enterprise bean's home interface.
      Throws:
        `RemoteException` - Thrown when the method failed due to a system-level failure.

    - #### getPrimaryKey

          Object getPrimaryKey()
                               throws RemoteException

      Obtain the primary key of the EJB object.

      This method can be called on an entity bean. An attempt to invoke this method on a session bean will result in RemoteException.

      Note: Support for entity beans is optional as of EJB 3.2.

      Returns:
        The EJB object's primary key.
      Throws:
        `RemoteException` - Thrown when the method failed due to a system-level failure or when invoked on a session bean.

    - #### remove

          void remove()
                      throws RemoteException,
                             RemoveException

      Remove the EJB object.
      Throws:
        `RemoteException` - Thrown when the method failed due to a system-level failure.
        `RemoveException` - The enterprise bean or the container does not allow destruction of the object.

    - #### getHandle

          Handle getHandle()
                           throws RemoteException

      Obtain a handle for the EJB object. The handle can be used at later time to re-obtain a reference to the EJB object, possibly in a different Java Virtual Machine.
      Returns:
        A handle for the EJB object.
      Throws:
        `RemoteException` - Thrown when the method failed due to a system-level failure.

    - #### isIdentical

          boolean isIdentical(EJBObject obj)
                              throws RemoteException

      Test if a given EJB object is identical to the invoked EJB object.
      Parameters:
        `obj` - An object to test for identity with the invoked object.
      Returns:
        True if the given EJB object is identical to the invoked object, false otherwise.
      Throws:
        `RemoteException` - Thrown when the method failed due to a system-level failure.

Copyright © 1996-2013, Oracle and/or its affiliates. All Rights Reserved. Use is subject to license terms.